#!/usr/bin/env python
	
# Authors:Xiaohong Zhuang, Dr.Jeffery B. Klauda
#    Date:4/15/2016
	
# Calculate the mean and percentage 
import math
import numpy as np

# Read name of file
fob = open('ftype.txt','r')
ftype = fob.readline()
ftype = ftype.strip()
fob.close()

# Read number of lipids
fob = open('nlip.txt','r')
nlip = fob.readline()
nlip = nlip.strip()
nlip = float(nlip)
fob.close()

# Read number of dyn
fob = open('Ndyn.txt','r')
Ndyn = fob.readline()
Ndyn = Ndyn.strip()
Ndyn = int(Ndyn)
fob.close()

filetoread = "hb_%s.txt" % ftype
data=np.genfromtxt(filetoread,delimiter=" ",skip_header=0)

# Find number of rows and columns
NR= np.shape(data)[0]; NC= np.shape(data)[1];

# Split the data to Ndyn blocks
Sdata=np.vsplit(data[:,1:NC],Ndyn)

# Calculate the block average
listavg=[]
for b in range(0,Ndyn,1):
	avg=np.mean(Sdata[b],axis=0)                          # axis =0 for vertical, axis=1 for horizal mean.
	listavg.append(avg)

# Calculate the avg of the block avg and its standard error
bavg   = np.mean(listavg,axis=0)
berr = np.std(listavg,axis=0)/math.sqrt(Ndyn)
pbavg = bavg/nlip
pberr = berr/nlip

print '%s\t%s\t%s\t%s\t%s' % ('Grp','N_avg','N_se','N/lip','Nse/lip')
for g in range(0,4,1):
	print '%i\t%2.4f\t%2.4f\t%2.4f\t%2.4f' % (g,bavg[g],berr[g],pbavg[g],pberr[g])
print '%s\t%2.4f\t%2.4f\t%2.4f\t%2.4f' % ('Tot',bavg[4],berr[4],pbavg[4],pberr[4])
